import type { ApiRequestOptions } from './ApiRequestOptions';
import type { ApiResult } from './ApiResult';
/**
 * Request using fetch client
 * @param options The request options from the the service
 * @result ApiResult
 * @throws ApiError
 */
export declare function request(options: ApiRequestOptions): Promise<ApiResult>;
